Page MenuHomePhabricator

Switch "near me" from Google Maps Android API to HTML-based OpenStreetMap backend
Closed, ResolvedPublic

Description

Broken out from bug 32136.

The current "near me" map implementation uses a native Google Maps view. This has three major problems:

  • have to fiddle with code signing keys to get the map to work
  • doesn't work at all on Android devices without the Google proprietary APIs (such as Kindle Fire tablet)
  • will have to be recoded when porting the app to other operating systems

Replacing this with an OpenStreetMap-based, HTML-based view would let us port it more easily, have no limitations, and generally make us feel warm and fuzzy.


Version: 1.0.0 (Android)
Severity: normal

Details

Reference
bz33208

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone
Resolvedbrion
InvalidNone
Declined yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Declinedbrion
Declinedbrion
Declined yuvipanda
Resolved yuvipanda
Resolved yuvipanda
ResolvedNone
ResolvedNone
DeclinedNone
DeclinedNone
Declined yuvipanda
ResolvedNone
DeclinedNone
ResolvedNone
Declinedbrion
InvalidNone
OpenNone
ResolvedNone
DeclinedNone
Resolved yuvipanda
Declinedbrion
Declined yuvipanda
DeclinedNone
DeclinedNone
InvalidNone
DeclinedNone
DuplicateNone
Declined yuvipanda
Declined yuvipanda
ResolvedNone
Resolved yuvipanda
ResolvedDbrant
ResolvedNone
ResolvedMaxSem
OpenNone
ResolvedNone
DeclinedNone
Declinedbrion
Declined yuvipanda
Resolved yuvipanda

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:08 AM
bzimport set Reference to bz33208.
brion created this task.Dec 17 2011, 12:00 AM
brion added a comment.Jan 18 2012, 9:44 PM

This is done for web & iOS; needs doing for Android too (test me!)

philinje wrote:

Some question around hosting a tile server, possibly this is for the v2 timeframe.

This has been done on Android though the Java code remains sitting around unused.